モニターを一時停止
curl --request POST \
--url https://api.olostep.com/v1/monitors/{monitor_id}/pause \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.olostep.com/v1/monitors/{monitor_id}/pause"
headers = {"Authorization": "Bearer <token>"}
response = requests.post(url, headers=headers)
print(response.text)const options = {method: 'POST', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.olostep.com/v1/monitors/{monitor_id}/pause', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "<string>",
"object": "monitor",
"query": "<string>",
"tracked": {
"type": "<string>",
"urls": [
"<string>"
],
"web_query": "<string>"
},
"source_policy": {
"include_urls": [
"<string>"
],
"exclude_urls": [
"<string>"
],
"include_domains": [
"<string>"
],
"exclude_domains": [
"<string>"
]
},
"schedule": {
"frequency": "<string>",
"cron": "<string>",
"timezone": "UTC",
"next_run_at": "2023-11-07T05:31:56Z"
},
"notification": {
"events": [],
"channels": [
{
"target": "<string>",
"events": []
}
]
},
"webhook": {
"url": "<string>"
},
"output_schema": {},
"error_message": "<string>",
"last_run": {
"id": "<string>",
"status": "completed",
"change_detected": true,
"ran_at": "2023-11-07T05:31:56Z"
},
"agent": {
"id": "<string>"
},
"metadata": {},
"created": 123,
"updated": 123,
"total_count": 123,
"mermaid_diagram": "<string>"
}{
"error": "<string>",
"monitor_id": "<string>"
}{
"error": "<string>",
"monitor_id": "<string>"
}モニター
モニターの一時停止
将来のスケジュールされた実行を無効にしてモニターを一時停止します。
POST
/
v1
/
monitors
/
{monitor_id}
/
pause
モニターを一時停止
承認
Bearer 形式のBearer認証ヘッダー。はあなたの認証トークンです。
パスパラメータ
Pattern:
^monitor_レスポンス
モニターが一時停止されました。
ユニークなモニター識別子(monitor_…)。
例:
"monitor"
自然言語でのモニタリングの意図。
計画が完了した後にモニターが追跡する解決済みのターゲット。
Show child attributes
Show child attributes
計画と実行中に適用されるオプションのURL/ドメイン許可および拒否リスト。
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
構造化抽出出力のためのオプションのJSONスキーマ。
ライフサイクルステータスを監視。
利用可能なオプション:
provisioning, active, paused, failed, deleted statusがfailedのときに表示。
最新のスナップショット概要。GET /v1/monitors/{monitor_id}で含まれる。
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Unixタイムスタンプ(秒)。
Unixタイムスタンプ(秒)。
スナップショットの総数。include_total_count=falseでない限り、GET /v1/monitors/{monitor_id}で含まれる。
モニターDAGのMermaidフローチャート。include-diagram=trueで取得時に含まれる。
このページは役に立ちましたか?
⌘I